ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tom Widmer (JIRA)" <j...@apache.org>
Subject [jira] Updated: (IVY-914) Properties needed to parse version in POM
Date Tue, 23 Sep 2008 11:42:44 GMT

     [ https://issues.apache.org/jira/browse/IVY-914?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Tom Widmer updated IVY-914:
---------------------------

    Attachment: load_properties_first.patch

Patch (relative to ivy trunk root) attached that moves property initialisation to the earliest
reasonable moment. It is possible that the property loading should be moved into POMReader
instead.

> Properties needed to parse version in POM
> -----------------------------------------
>
>                 Key: IVY-914
>                 URL: https://issues.apache.org/jira/browse/IVY-914
>             Project: Ivy
>          Issue Type: Bug
>          Components: Maven Compatibility
>    Affects Versions: 2.0.0-beta-2
>            Reporter: Tom Widmer
>             Fix For: 2.0-RC1
>
>         Attachments: load_properties_first.patch
>
>
> The POM file here:
> http://repository.jboss.com/maven2/org/jboss/cache/jbosscache-core/2.1.1.GA/jbosscache-core-2.1.1.GA.pom
> doesn't work with Ivy, since the version is specified as:
> <version>${jbosscache-core-version}</version>
> e.g. it uses a property in the POM. Ivy fails to set up properties until after the version
has been parsed, and hence gets the version as ${jbosscache-core-version} rather than 2.1.1.GA.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message